Sign in Start for free

Subscriptions

Get a list of Subscriptions

GET /api/{spaceId}/subscriptions

Also reachable at /api/spaces/{spaceIdentifier}/subscriptions, /api/subscriptions.

Lists all of the Subscriptions in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource.

Query Parameters

  • ids array of string
  • partialName string
    A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — The requested Subscriptions

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • EventNotificationSubscription object
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsDisabled boolean
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
    • SpaceId string
    • Type enum
      Allowed values: Event.
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "EventNotificationSubscription": {
        "EmailDigestLastProcessed": "2020-01-01T00:00:00.000Z",
        "EmailDigestLastProcessedEventAutoId": 0,
        "EmailFrequencyPeriod": "string",
        "EmailPriority": "Normal",
        "EmailShowDatesInTimeZoneId": "string",
        "EmailTeams": [
          "string"
        ],
        "Filter": {},
        "SlackChannelIds": [
          "string"
        ],
        "SlackChannelNames": [
          "string"
        ],
        "SlackDigestLastProcessed": "2020-01-01T00:00:00.000Z",
        "SlackDigestLastProcessedEventAutoId": 0,
        "SlackFrequencyPeriod": "string",
        "WebhookHeaderKey": "string",
        "WebhookHeaderValue": {},
        "WebhookLastProcessed": "2020-01-01T00:00:00.000Z",
        "WebhookLastProcessedEventAutoId": 0,
        "WebhookTeams": [
          "string"
        ],
        "WebhookTimeout": "string",
        "WebhookURI": "https://example.com"
      },
      "Id": "string",
      "IsDisabled": true,
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string",
      "SpaceId": "Spaces-1",
      "Type": "Event"
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create a new Subscription

POST /api/{spaceId}/subscriptions

Also reachable at /api/spaces/{spaceIdentifier}/subscriptions, /api/subscriptions.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource.

Request Body

  • EventNotificationSubscription object (required)
    • EmailDigestLastProcessed string
      Format date-time.
    • EmailDigestLastProcessedEventAutoId integer
    • EmailFrequencyPeriod string
      Format date-span.
    • EmailPriority enum
      Allowed values: Normal, Low, High.
    • EmailShowDatesInTimeZoneId string
    • EmailTeams array of string
    • Filter object
    • SlackChannelIds array of string
    • SlackChannelNames array of string
    • SlackDigestLastProcessed string
      Format date-time.
    • SlackDigestLastProcessedEventAutoId integer
    • SlackFrequencyPeriod string
      Format date-span.
    • WebhookHeaderKey string
    • WebhookHeaderValue object
    • WebhookLastProcessed string
      Format date-time.
    • WebhookLastProcessedEventAutoId integer
    • WebhookTeams array of string
    • WebhookTimeout string
      Format date-span.
    • WebhookURI string
      Use a backing field here, so we can ignore empty strings, which the portal sends us. Format uri.
  • IsDisabled boolean
  • Name string (required)
    Minimum length 1.
  • SpaceId string (required)
    The ID of the space containing the resource.

Response

201 — Created

  • EventNotificationSubscription object
    • EmailDigestLastProcessed string
      Format date-time.
    • EmailDigestLastProcessedEventAutoId integer
    • EmailFrequencyPeriod string
      Format date-span.
    • EmailPriority enum
      Allowed values: Normal, Low, High.
    • EmailShowDatesInTimeZoneId string
    • EmailTeams array of string
    • Filter object
    • SlackChannelIds array of string
    • SlackChannelNames array of string
    • SlackDigestLastProcessed string
      Format date-time.
    • SlackDigestLastProcessedEventAutoId integer
    • SlackFrequencyPeriod string
      Format date-span.
    • WebhookHeaderKey string
    • WebhookHeaderValue object
    • WebhookLastProcessed string
      Format date-time.
    • WebhookLastProcessedEventAutoId integer
    • WebhookTeams array of string
    • WebhookTimeout string
      Format date-span.
    • WebhookURI string
      Use a backing field here, so we can ignore empty strings, which the portal sends us. Format uri.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsDisabled boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • SpaceId string
  • Type enum
    Allowed values: Event.

Example Request

JSON
{
  "EventNotificationSubscription": {
    "EmailDigestLastProcessed": "2020-01-01T00:00:00.000Z",
    "EmailDigestLastProcessedEventAutoId": 0,
    "EmailFrequencyPeriod": "string",
    "EmailPriority": "Normal",
    "EmailShowDatesInTimeZoneId": "string",
    "EmailTeams": [
      "string"
    ],
    "Filter": {
      "DocumentTypes": [
        "string"
      ],
      "Environments": [
        "string"
      ],
      "EventAgents": [
        "string"
      ],
      "EventCategories": [
        "string"
      ],
      "EventGroups": [
        "string"
      ],
      "ProjectGroups": [
        "string"
      ],
      "Projects": [
        "string"
      ],
      "Tags": [
        "string"
      ],
      "Tenants": [
        "Tenants-1",
        "..."
      ],
      "Users": [
        "string"
      ]
    },
    "SlackChannelIds": [
      "string"
    ],
    "SlackChannelNames": [
      "string"
    ],
    "SlackDigestLastProcessed": "2020-01-01T00:00:00.000Z",
    "SlackDigestLastProcessedEventAutoId": 0,
    "SlackFrequencyPeriod": "string",
    "WebhookHeaderKey": "string",
    "WebhookHeaderValue": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "WebhookLastProcessed": "2020-01-01T00:00:00.000Z",
    "WebhookLastProcessedEventAutoId": 0,
    "WebhookTeams": [
      "string"
    ],
    "WebhookTimeout": "string",
    "WebhookURI": "https://example.com"
  },
  "IsDisabled": true,
  "Name": "string",
  "SpaceId": "Spaces-1"
}

Example Response

JSON
{
  "EventNotificationSubscription": {
    "EmailDigestLastProcessed": "2020-01-01T00:00:00.000Z",
    "EmailDigestLastProcessedEventAutoId": 0,
    "EmailFrequencyPeriod": "string",
    "EmailPriority": "Normal",
    "EmailShowDatesInTimeZoneId": "string",
    "EmailTeams": [
      "string"
    ],
    "Filter": {
      "DocumentTypes": [
        "string"
      ],
      "Environments": [
        "string"
      ],
      "EventAgents": [
        "string"
      ],
      "EventCategories": [
        "string"
      ],
      "EventGroups": [
        "string"
      ],
      "ProjectGroups": [
        "string"
      ],
      "Projects": [
        "string"
      ],
      "Tags": [
        "string"
      ],
      "Tenants": [
        "Tenants-1",
        "..."
      ],
      "Users": [
        "string"
      ]
    },
    "SlackChannelIds": [
      "string"
    ],
    "SlackChannelNames": [
      "string"
    ],
    "SlackDigestLastProcessed": "2020-01-01T00:00:00.000Z",
    "SlackDigestLastProcessedEventAutoId": 0,
    "SlackFrequencyPeriod": "string",
    "WebhookHeaderKey": "string",
    "WebhookHeaderValue": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "WebhookLastProcessed": "2020-01-01T00:00:00.000Z",
    "WebhookLastProcessedEventAutoId": 0,
    "WebhookTeams": [
      "string"
    ],
    "WebhookTimeout": "string",
    "WebhookURI": "https://example.com"
  },
  "Id": "string",
  "IsDisabled": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "SpaceId": "Spaces-1",
  "Type": "Event"
}

Get all Subscriptions

GET /api/{spaceId}/subscriptions/all

Also reachable at /api/spaces/{spaceIdentifier}/subscriptions/all, /api/subscriptions/all.

Lists all the Subscriptions in the supplied Octopus Deploy Space

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource.

Response

200 — All Subscriptions from the requested Space

  • EventNotificationSubscription object
    • EmailDigestLastProcessed string
      Format date-time.
    • EmailDigestLastProcessedEventAutoId integer
    • EmailFrequencyPeriod string
      Format date-span.
    • EmailPriority enum
      Allowed values: Normal, Low, High.
    • EmailShowDatesInTimeZoneId string
    • EmailTeams array of string
    • Filter object
    • SlackChannelIds array of string
    • SlackChannelNames array of string
    • SlackDigestLastProcessed string
      Format date-time.
    • SlackDigestLastProcessedEventAutoId integer
    • SlackFrequencyPeriod string
      Format date-span.
    • WebhookHeaderKey string
    • WebhookHeaderValue object
    • WebhookLastProcessed string
      Format date-time.
    • WebhookLastProcessedEventAutoId integer
    • WebhookTeams array of string
    • WebhookTimeout string
      Format date-span.
    • WebhookURI string
      Use a backing field here, so we can ignore empty strings, which the portal sends us. Format uri.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsDisabled boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • SpaceId string
  • Type enum
    Allowed values: Event.

Example Response

JSON
[
  {
    "EventNotificationSubscription": {
      "EmailDigestLastProcessed": "2020-01-01T00:00:00.000Z",
      "EmailDigestLastProcessedEventAutoId": 0,
      "EmailFrequencyPeriod": "string",
      "EmailPriority": "Normal",
      "EmailShowDatesInTimeZoneId": "string",
      "EmailTeams": [
        "string"
      ],
      "Filter": {
        "DocumentTypes": [
          "string"
        ],
        "Environments": [
          "string"
        ],
        "EventAgents": [
          "string"
        ],
        "EventCategories": [
          "string"
        ],
        "EventGroups": [
          "string"
        ],
        "ProjectGroups": [
          "string"
        ],
        "Projects": [
          "string"
        ],
        "Tags": [
          "string"
        ],
        "Tenants": [
          "Tenants-1",
          "..."
        ],
        "Users": [
          "string"
        ]
      },
      "SlackChannelIds": [
        "string"
      ],
      "SlackChannelNames": [
        "string"
      ],
      "SlackDigestLastProcessed": "2020-01-01T00:00:00.000Z",
      "SlackDigestLastProcessedEventAutoId": 0,
      "SlackFrequencyPeriod": "string",
      "WebhookHeaderKey": "string",
      "WebhookHeaderValue": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      },
      "WebhookLastProcessed": "2020-01-01T00:00:00.000Z",
      "WebhookLastProcessedEventAutoId": 0,
      "WebhookTeams": [
        "string"
      ],
      "WebhookTimeout": "string",
      "WebhookURI": "https://example.com"
    },
    "Id": "string",
    "IsDisabled": true,
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string",
    "SpaceId": "Spaces-1",
    "Type": "Event"
  }
]

Get a Subscription by ID

GET /api/{spaceId}/subscriptions/{id}

Also reachable at /api/spaces/{spaceIdentifier}/subscriptions/{id}, /api/subscriptions/{id}.

Path Parameters

  • id string (required)
    ID of the Subscription to load.
  • spaceId string (required)
    The ID of the space containing the resource.

Response

200 — The requested Subscription

  • EventNotificationSubscription object
    • EmailDigestLastProcessed string
      Format date-time.
    • EmailDigestLastProcessedEventAutoId integer
    • EmailFrequencyPeriod string
      Format date-span.
    • EmailPriority enum
      Allowed values: Normal, Low, High.
    • EmailShowDatesInTimeZoneId string
    • EmailTeams array of string
    • Filter object
    • SlackChannelIds array of string
    • SlackChannelNames array of string
    • SlackDigestLastProcessed string
      Format date-time.
    • SlackDigestLastProcessedEventAutoId integer
    • SlackFrequencyPeriod string
      Format date-span.
    • WebhookHeaderKey string
    • WebhookHeaderValue object
    • WebhookLastProcessed string
      Format date-time.
    • WebhookLastProcessedEventAutoId integer
    • WebhookTeams array of string
    • WebhookTimeout string
      Format date-span.
    • WebhookURI string
      Use a backing field here, so we can ignore empty strings, which the portal sends us. Format uri.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsDisabled boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • SpaceId string
  • Type enum
    Allowed values: Event.

Example Response

JSON
{
  "EventNotificationSubscription": {
    "EmailDigestLastProcessed": "2020-01-01T00:00:00.000Z",
    "EmailDigestLastProcessedEventAutoId": 0,
    "EmailFrequencyPeriod": "string",
    "EmailPriority": "Normal",
    "EmailShowDatesInTimeZoneId": "string",
    "EmailTeams": [
      "string"
    ],
    "Filter": {
      "DocumentTypes": [
        "string"
      ],
      "Environments": [
        "string"
      ],
      "EventAgents": [
        "string"
      ],
      "EventCategories": [
        "string"
      ],
      "EventGroups": [
        "string"
      ],
      "ProjectGroups": [
        "string"
      ],
      "Projects": [
        "string"
      ],
      "Tags": [
        "string"
      ],
      "Tenants": [
        "Tenants-1",
        "..."
      ],
      "Users": [
        "string"
      ]
    },
    "SlackChannelIds": [
      "string"
    ],
    "SlackChannelNames": [
      "string"
    ],
    "SlackDigestLastProcessed": "2020-01-01T00:00:00.000Z",
    "SlackDigestLastProcessedEventAutoId": 0,
    "SlackFrequencyPeriod": "string",
    "WebhookHeaderKey": "string",
    "WebhookHeaderValue": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "WebhookLastProcessed": "2020-01-01T00:00:00.000Z",
    "WebhookLastProcessedEventAutoId": 0,
    "WebhookTeams": [
      "string"
    ],
    "WebhookTimeout": "string",
    "WebhookURI": "https://example.com"
  },
  "Id": "string",
  "IsDisabled": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "SpaceId": "Spaces-1",
  "Type": "Event"
}

Update an existing Subscription

PUT /api/{spaceId}/subscriptions/{id}

Also reachable at /api/spaces/{spaceIdentifier}/subscriptions/{id}, /api/subscriptions/{id}.

Path Parameters

  • id string (required)
    ID of the Subscription to modify.
  • spaceId string (required)
    The ID of the space containing the resource.

Request Body

  • EventNotificationSubscription object (required)
    • EmailDigestLastProcessed string
      Format date-time.
    • EmailDigestLastProcessedEventAutoId integer
    • EmailFrequencyPeriod string
      Format date-span.
    • EmailPriority enum
      Allowed values: Normal, Low, High.
    • EmailShowDatesInTimeZoneId string
    • EmailTeams array of string
    • Filter object
    • SlackChannelIds array of string
    • SlackChannelNames array of string
    • SlackDigestLastProcessed string
      Format date-time.
    • SlackDigestLastProcessedEventAutoId integer
    • SlackFrequencyPeriod string
      Format date-span.
    • WebhookHeaderKey string
    • WebhookHeaderValue object
    • WebhookLastProcessed string
      Format date-time.
    • WebhookLastProcessedEventAutoId integer
    • WebhookTeams array of string
    • WebhookTimeout string
      Format date-span.
    • WebhookURI string
      Use a backing field here, so we can ignore empty strings, which the portal sends us. Format uri.
  • Id string (required)
    ID of the Subscription to modify.
  • IsDisabled boolean
  • Name string (required)
    Minimum length 1.
  • SpaceId string (required)
    The ID of the space containing the resource.
  • Type enum
    Allowed values: Event.

Response

200 — The updated Subscription

  • EventNotificationSubscription object
    • EmailDigestLastProcessed string
      Format date-time.
    • EmailDigestLastProcessedEventAutoId integer
    • EmailFrequencyPeriod string
      Format date-span.
    • EmailPriority enum
      Allowed values: Normal, Low, High.
    • EmailShowDatesInTimeZoneId string
    • EmailTeams array of string
    • Filter object
    • SlackChannelIds array of string
    • SlackChannelNames array of string
    • SlackDigestLastProcessed string
      Format date-time.
    • SlackDigestLastProcessedEventAutoId integer
    • SlackFrequencyPeriod string
      Format date-span.
    • WebhookHeaderKey string
    • WebhookHeaderValue object
    • WebhookLastProcessed string
      Format date-time.
    • WebhookLastProcessedEventAutoId integer
    • WebhookTeams array of string
    • WebhookTimeout string
      Format date-span.
    • WebhookURI string
      Use a backing field here, so we can ignore empty strings, which the portal sends us. Format uri.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsDisabled boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • SpaceId string
  • Type enum
    Allowed values: Event.

Example Request

JSON
{
  "EventNotificationSubscription": {
    "EmailDigestLastProcessed": "2020-01-01T00:00:00.000Z",
    "EmailDigestLastProcessedEventAutoId": 0,
    "EmailFrequencyPeriod": "string",
    "EmailPriority": "Normal",
    "EmailShowDatesInTimeZoneId": "string",
    "EmailTeams": [
      "string"
    ],
    "Filter": {
      "DocumentTypes": [
        "string"
      ],
      "Environments": [
        "string"
      ],
      "EventAgents": [
        "string"
      ],
      "EventCategories": [
        "string"
      ],
      "EventGroups": [
        "string"
      ],
      "ProjectGroups": [
        "string"
      ],
      "Projects": [
        "string"
      ],
      "Tags": [
        "string"
      ],
      "Tenants": [
        "Tenants-1",
        "..."
      ],
      "Users": [
        "string"
      ]
    },
    "SlackChannelIds": [
      "string"
    ],
    "SlackChannelNames": [
      "string"
    ],
    "SlackDigestLastProcessed": "2020-01-01T00:00:00.000Z",
    "SlackDigestLastProcessedEventAutoId": 0,
    "SlackFrequencyPeriod": "string",
    "WebhookHeaderKey": "string",
    "WebhookHeaderValue": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "WebhookLastProcessed": "2020-01-01T00:00:00.000Z",
    "WebhookLastProcessedEventAutoId": 0,
    "WebhookTeams": [
      "string"
    ],
    "WebhookTimeout": "string",
    "WebhookURI": "https://example.com"
  },
  "Id": "Subscriptions-1",
  "IsDisabled": true,
  "Name": "string",
  "SpaceId": "Spaces-1",
  "Type": "Event"
}

Example Response

JSON
{
  "EventNotificationSubscription": {
    "EmailDigestLastProcessed": "2020-01-01T00:00:00.000Z",
    "EmailDigestLastProcessedEventAutoId": 0,
    "EmailFrequencyPeriod": "string",
    "EmailPriority": "Normal",
    "EmailShowDatesInTimeZoneId": "string",
    "EmailTeams": [
      "string"
    ],
    "Filter": {
      "DocumentTypes": [
        "string"
      ],
      "Environments": [
        "string"
      ],
      "EventAgents": [
        "string"
      ],
      "EventCategories": [
        "string"
      ],
      "EventGroups": [
        "string"
      ],
      "ProjectGroups": [
        "string"
      ],
      "Projects": [
        "string"
      ],
      "Tags": [
        "string"
      ],
      "Tenants": [
        "Tenants-1",
        "..."
      ],
      "Users": [
        "string"
      ]
    },
    "SlackChannelIds": [
      "string"
    ],
    "SlackChannelNames": [
      "string"
    ],
    "SlackDigestLastProcessed": "2020-01-01T00:00:00.000Z",
    "SlackDigestLastProcessedEventAutoId": 0,
    "SlackFrequencyPeriod": "string",
    "WebhookHeaderKey": "string",
    "WebhookHeaderValue": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "WebhookLastProcessed": "2020-01-01T00:00:00.000Z",
    "WebhookLastProcessedEventAutoId": 0,
    "WebhookTeams": [
      "string"
    ],
    "WebhookTimeout": "string",
    "WebhookURI": "https://example.com"
  },
  "Id": "string",
  "IsDisabled": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "SpaceId": "Spaces-1",
  "Type": "Event"
}

Delete an existing Subscription

DELETE /api/{spaceId}/subscriptions/{id}

Also reachable at /api/spaces/{spaceIdentifier}/subscriptions/{id}, /api/subscriptions/{id}.

Path Parameters

  • id string (required)
    ID of the Subscription to delete.
  • spaceId string (required)
    The ID of the space containing the resource.

Response

200 — Confirmation that the Subscription was deleted

Example Response

JSON
{}